#include <iostream>
#include <bits/stdc++.h> 
using namespace std;
int main()
{

double n, casa;
cin>>n;
int porez[n][2];
int i=0, j=0;
for(i=0;i<n;i++){
    for(j=0;j<2;j++){

     cin>>porez[i][j];

    }
}
int vresnosti[n];
max= porezi[0][1];
double zbir=0;
for(i=0;i<n;i++)
{

if(porez[i][1]>max)
{
    max=porez[i][1];
}
zbir=zbir+porez[i][0];
}
double resenje;
resenje=(zbir*max)/100;
cout<<resenje;
}